#!/usr/bin/python
# Filename: robo3pi.py
import serial
import time
import math
global ser

def init(com):
	global ser
	ser = serial.Serial(com, 57600, timeout=3)

def move(id, left, right):
	second ='5'
	if left<0:
		second = chr( ord(second) | 0x80)
	if right<0:
		second = chr( ord(second) | 0x40)
	_left = int(math.fabs(left))
	_right = int(math.fabs(right))
	__sendCommand(id ,second ,chr(_left),chr(_right))
	
def stop(id):
	__sendCommand(id ,'5' ,chr(0),chr(0))
	
def __sendCommand(id, first, second,thired):
	global ser
	ser.write(id)
	ser.write(first)
	ser.write(second)
	ser.write(thired)
	
def addToGroup(id, group):
	__sendCommand(id , '1', group ,chr(0))


def removeFromGroup(id, group):
	__sendCommand(id , '2', group ,chr(0))

def close():
	global ser
	try:
		ser.close()
	except:
		pass
		
# End of 3pi.py